JAR List Updates June 22nd-28th 2020

Discussion in 'JAR List/1-Click Install Updates' started by Richard_BN, Jun 24, 2020.

  1. Richard_BN

    Richard_BN
    BeastNode Staff

    Joined:
    Dec 18, 2015
    Messages:
    544
    Likes Received:
    135
    Trophy Points:
    108
    Gender:
    Male
    Occupation:
    BeastNode Support Agent
    Location:
    The Realm of Obscurity.
    June 24th Updates

    JAR List Options that have been added:
    - Curse - All the Mods 5 (2.5).
    - Vanilla 1.16.
    - Fabric 1.16 w/ Fabric Loader (0.8.8+build.202) and Fabric-API (1.13.1+build.370).

    JAR List Options that have been updated:
    - The "Default" option on the jar list to Vanilla 1.16.
    If you have used this option at any time and have not yet removed the server jar for it then to update you need to log into your server files and delete the jar folder before loading the server up on this option.

    - The Fabric 1.15.2 option, updated to use Fabric Loader (0.8.8+build.202) and include Fabric-API (0.13.1+build.316).
    - The Fabric 1.14.4 option to also use Fabric Loader (0.8.8+build.202), and to include Fabric-API (0.13.1+build.257).
    To update these options simply delete the jar folder and restart. If you have renamed the Fabric-API.jar file in the mods folder at any time this must also be deleted or it won't auto-remove and update correctly (nothing else in the mods folder is touched so it won't effect your installed mods when updating).

    JAR List Options that have been removed:
    - AT - DNS Techpack (12.3.4) [No Optionals].
    - Technic - The Classic Pack (3.1.7b).
    - Vanilla 1.16 Release Candidate 1.
    - Vanilla 1.11.2.



    Remember to keep up to date with the options tagged with [Latest] on the jarlist if you use them - updates for these are found on the first link below, and the second link lets you know how to update if you use these options:
    https://www.beastnode.com/forums/threads/jar-list-latest-updates.143/
    https://www.beastnode.com/forums/threads/latest-jar-list-options-and-how-when-to-update-them.174/
     
  2. Richard_BN

    Richard_BN
    BeastNode Staff

    Joined:
    Dec 18, 2015
    Messages:
    544
    Likes Received:
    135
    Trophy Points:
    108
    Gender:
    Male
    Occupation:
    BeastNode Support Agent
    Location:
    The Realm of Obscurity.
    June 24th Updates - Part 2

    JAR List Options that have been added:
    - Vanilla 1.16.1.

    JAR List Options that have been updated:
    - The "Default" option on the jar list to Vanilla 1.16.1.
    If you have used this option at any time (including since the above post) and have not yet removed the server jar for it then to update you need to log into your server files and delete the jar folder before loading the server up on this option.

    - Fabric 1.16 w/ Fabric Loader (0.8.8+build.202) and Fabric-API (1.13.1+build.370) to Fabric 1.16.1 (same Loader/API versions).
    To update this option if you already used it simply delete the jar folder and restart.
     
  3. Richard_BN

    Richard_BN
    BeastNode Staff

    Joined:
    Dec 18, 2015
    Messages:
    544
    Likes Received:
    135
    Trophy Points:
    108
    Gender:
    Male
    Occupation:
    BeastNode Support Agent
    Location:
    The Realm of Obscurity.
    June 25th Updates

    JAR List Options that have been added:
    - Spigot 1.16.1.
    This option has been marked as [Latest/Dev] - until Spigot themselves bump 1.16.* to their recommended build over 1.15.2 this will remain, and caution is advised when using these builds.

    Note::
    Do not update a public/live server without testing things first.
    Either set up a second server or a localhost server with the Spigot 1.16.1 option and test your plugins (and/or worlds to make sure they don't error) on there before anything else.
    If there are plugins central to your server setup that do not yet work for 1.16.1 you will need to wait for them to update to support 1.16.1 before you update the public/live server. Minor plugins you can do without for a while that are not yet working can be disabled/removed until they have updated, or again - wait till they update before updating your server.

    Note 2::
    As with updating between any versions - if you are planning on updating your server to 1.16.1 (this applies to Vanilla setups as well), stop your server and make a full server backup before you do anything else. The easiest way is to connect to the files with an FTP client so you can simply select everything and download it all at once, as web based FTP has limitations (the server must be offline when downloading/uploading/editing world files in any way).

    Note 3::
    In general if you do not need to update to Spigot 1.16.1 right away (or swap from Vanilla 1.16.1 to Spigot 1.16.1 for their added performance tweaks) we would recommend that you do not do this for a little while to allow them time to fix any initial bugs/issues they have from their update that Vanilla lacks - we would recommend giving it a week or so at least (longer if you require plugin updates as stated in the first note above).

    Note 4::
    If you do swap over to Spigot 1.16.1 make sure you are updating the server jar regularly - it is not automatic. You need to delete the jar folder from the server files before a server restart to update the jar your server is running on when there have been updates your server is now lacking. As 1.16.1 has only just dropped it would be recommended to update the server jar every day or two so your server gets any bug/issue fixes applied to it.
    The post over HERE is updated whenever the [Latest] options have updated, as is either the date or build number of the option on the jar list so you can see when there is an update you need to delete the jar and restart for.


    JAR List Options that have been removed:
    - Spigot 1.11.1.
    - Vanilla 1.16.
    Anybody that was using the "Minecraft 1.16" specific option has been changed to the 1.16.1 option, as this was a hotfix and makes no changes serverside (make sure to update your client to 1.16.1 too if you had not already).
     
  4. Richard_BN

    Richard_BN
    BeastNode Staff

    Joined:
    Dec 18, 2015
    Messages:
    544
    Likes Received:
    135
    Trophy Points:
    108
    Gender:
    Male
    Occupation:
    BeastNode Support Agent
    Location:
    The Realm of Obscurity.
    June 27th Updates

    JAR List Options that have been updated:
    - The Fabric 1.15.2 option, updated to include Fabric-API (0.14.0+build.317).
    - The Fabric 1.14.4 option, updated to include Fabric-API (0.14.0+build.258).
    - The Fabric 1.16.1 option, updated to include Fabric-API (0.14.0+build.371).
    To update these options simply delete the jar folder and restart. If you have renamed the Fabric-API.jar file in the mods folder at any time this must also be deleted or it won't auto-remove and update correctly (nothing else in the mods folder is touched so it won't effect your installed mods when updating).
     
  5. Richard_BN

    Richard_BN
    BeastNode Staff

    Joined:
    Dec 18, 2015
    Messages:
    544
    Likes Received:
    135
    Trophy Points:
    108
    Gender:
    Male
    Occupation:
    BeastNode Support Agent
    Location:
    The Realm of Obscurity.
    June 28th Updates

    JAR List Options that have been added:
    - PaperSpigot 1.16.1.
    This option, as with Spigot 1.16.1, has been marked as [Latest/Dev] for the time being - caution is advised when using these builds. Unless you need o update to this, leave it for a while and let them get their initial waves of bug fixes sorted, as their 1.16.1 builds have only been released in the last 24 hours.
    The notes in the above post apply to this option as well.


    JAR List Options that have been removed:
    - PaperSpigot 1.11.1.
     

Share This Page